
//
// Przykładowy kod z rozdziału 5.11 "Ćwiczenia" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

int main()
try {
    // <<Twój kod>>
    keep_window_open();
    return 0;
}
catch (exception& e) {
    cerr << "Błąd: " << e.what() << '\n'; 
    keep_window_open();
    return 1;
}
catch (...) {
    cerr << "Nieznany wyjątek!\n"; 
    keep_window_open();
    return 2;
}

//------------------------------------------------------------------------------
